Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs	(revision 184)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs	(revision 185)
@@ -19,6 +19,7 @@
 using ProcessManagement.DB.Core;
 using ProcessManagement.Forms.Master;
 using ProcessManagement.Forms.DataEntry;
+using ProcessManagement.Forms.DataEntry.Request;
 using ProcessManagement.Forms.CustomControls;
 using ProcessManagement.Forms.ControlsAction;
 using ProcessManagement.Forms.SubForms;
@@ -40,192 +41,104 @@
         #endregion
 
         #region 定数
+
+        #region 表示カラム
         /// <summary>
-        /// 承認状態
+        /// 表示カラム ※■は非表示セル　□は総務入力画面で表示されるセル
         /// </summary>
-        public enum ApprovalStatus
+        private enum DispColumn
         {
-            None = 0,
-            InCharge,
-            InApproval,
-            Approved,
-        }
+            // 請求書データ（自動入力）
+            No = 0,                                                             // No.
+            RequestMonth,                                                       // ■請求月
+            RequestNo,                                                          // ■請求書No.
+            OrderersDivision,                                                   // ■発注者区分
+            OrderersCode,                                                       // ■発注者コード
+            OrderersName,                                                       // 請求先名・請求日
+            ConstructionCode,                                                   // ■工事番号
+            ConstructionName,                                                   // 現場名
+            BillPrice,                                                          // 請求金額 (税抜)
+            TaxPrice,                                                           // 請求金額 (消費税)
+            
+            // 入金データ(総務入力欄)
+            DepositAmountCash,                                                  // 入金金額 (振込み)
+            DepositAmountBill,                                                  // 入金金額 (手形)
+            
+            // 入金明細データ（工事担当入力欄）
+            OrderNo,                                                            // ■受付番号
+            DepositAmount,                                                      // 入金金額
+            DiscountAmount,                                                     // 値引金額
+            CnstrPrice,                                                         // 協力金
+            Fees,                                                               // 手数料
+            OtherAdjustments,                                                   // 送料
+            DifferentAmount,                                                    // 差分
+            ConfirmationPersonCode,                                             // ■担当者コード
+            ConfirmationDate,                                                   // ■担当者確認日
+            ConfirmationEndFlg,                                                 // ■担当者確認フラグ
 
-        /// <summary>
-        /// 合計行の見出し
-        /// </summary>
-        private enum TotalRows
-        {
-            小計 = 1,
-            入金金額,
-            調整後金額,
-            差額,
+            // 担当者情報（工事担当入力欄）
+            ConstructionPersonCode,                                             // ■工事担当者
+            ConstrSubPersonCode,                                                // ■工事副担当
+            ConstructionInstructor,                                             // ■指導員
+            DepartmentCode,                                                     // ■部署コード
+            PersonName,                                                         // 担当者名
+            NoteDD,                                                             // 備考（入金明細）
         }
+        #endregion
 
+        #region 取得するデータ項目
         /// <summary>
-        /// 表示カラム ※■は非表示セル
+        /// 取得するデータ項目
         /// </summary>
-        private enum DispColumn
+        private enum GetDataFirst
         {
-            RowType = 0,                                                        // ■編集状態
-            No,                                                                 // No
-            OrderersDivision,                                                   // ■発注先区分
+            // 請求書データ
+            OrderersName = 0,                                                   // 請求先名
+            RequestMonth,                                                       // ■請求月
+            RequestNo,                                                          // ■請求書No.
+            OrderersDivision,                                                   // ■発注者区分
             OrderersCode,                                                       // ■発注者コード
-            SeqNo,                                                              // ■連番
-            LineCount,                                                          // ■行番号
-            OrderersName,                                                       // 請求先名
+            
+            BillCreationDate,                                                   // 請求日
+            ConstructionCode,                                                   // ■工事番号
+            ConstructionName,                                                   // 現場名
+            BillPrice,                                                          // 請求金額 (税抜)
+            TaxPrice,                                                           // 請求金額 (消費税)
+
+            // ■区分 1:入金データ表示用  2:入金明細データ表示用
+            KB,
+            
+            // 入金データ
+            SeqNoD,                                                             // ■入金用連番
             DepositDate,                                                        // 入金日
             DepositAmountCash,                                                  // 入金金額 (振込み)
             DepositAmountBill,                                                  // 入金金額 (手形)
-            RequestNo,                                                          // ■請求No.
+            DepositPersonCode,                                                  // ■入金確認者コード
+            NoteD,                                                              // 備考（入金）
+
+            // 入金明細データ
             OrderNo,                                                            // ■受付番号
-            ConstructionName,                                                   // 現場名
-            ConstructionName_Raw,                                               // ■現場名 (DB登録値)
-            PaymentSchedule,                                                    // 入金予定日
-            BillCreationDate,                                                   // 請求日
-            BillPrice,                                                          // 請求金額 (税抜)
-            TaxPrice,                                                           // 請求金額 (消費税)
             DepositAmount,                                                      // 入金金額
             DiscountAmount,                                                     // 値引金額
             CnstrPrice,                                                         // 協力金
             Fees,                                                               // 手数料
-            OtherAdjustments,                                                   // その他調整
-            CarryAmount,                                                        // 次回繰越
-            PersonName,                                                         // 担当者承認
-            PersonCode,                                                         // ■担当者コード
-            PersonDate,                                                         // ■担当者日付
-            ApprovalName_1,                                                     // 承認者１承認
-            ApprovalCode_1,                                                     // ■承認者コード_1
-            ApprovalAuthority_1,                                                // ■承認権限区分_1
-            ApprovalDate_1,                                                     // ■承認日付_1
-            ApprovalOrder_1,                                                    // ■承認順番_1
-            ApprovalName_2,                                                     // 承認者２承認
-            ApprovalCode_2,                                                     // ■承認者コード_2
-            ApprovalAuthority_2,                                                // ■承認権限区分_2
-            ApprovalDate_2,                                                     // ■承認日付_2
-            ApprovalOrder_2,                                                    // ■承認順番_2
-            ApprovalName_3,                                                     // 承認者３承認
-            ApprovalCode_3,                                                     // ■承認者コード_3
-            ApprovalAuthority_3,                                                // ■承認権限区分_3
-            ApprovalDate_3,                                                     // ■承認日付_3
-            ApprovalOrder_3,                                                    // ■承認順番_3
-            ApprovalName_4,                                                     // 承認者４承認
-            ApprovalCode_4,                                                     // ■承認者コード_4
-            ApprovalAuthority_4,                                                // ■承認権限区分_4
-            ApprovalDate_4,                                                     // ■承認日付_4
-            ApprovalOrder_4,                                                    // ■承認順番_4
-            ApprovalName_5,                                                     // 承認者５承認
-            ApprovalCode_5,                                                     // ■承認者コード_5
-            ApprovalAuthority_5,                                                // ■承認権限区分_5
-            ApprovalDate_5,                                                     // ■承認日付_5
-            ApprovalOrder_5,                                                    // ■承認順番_5
-            ApprovalName_6,                                                     // 承認者６承認
-            ApprovalCode_6,                                                     // ■承認者コード_6
-            ApprovalAuthority_6,                                                // ■承認権限区分_6
-            ApprovalDate_6,                                                     // ■承認日付_6
-            ApprovalOrder_6,                                                    // ■承認順番_6
-            ApprovalName_7,                                                     // 承認者７承認
-            ApprovalCode_7,                                                     // ■承認者コード_7
-            ApprovalAuthority_7,                                                // ■承認権限区分_7
-            ApprovalDate_7,                                                     // ■承認日付_7
-            ApprovalOrder_7,                                                    // ■承認順番_7
-            ApprovalName_8,                                                     // 承認者８承認
-            ApprovalCode_8,                                                     // ■承認者コード_8
-            ApprovalAuthority_8,                                                // ■承認権限区分_8
-            ApprovalDate_8,                                                     // ■承認日付_8
-            ApprovalOrder_8,                                                    // ■承認順番_8
-            ApprovalName_9,                                                     // 承認者９承認
-            ApprovalCode_9,                                                     // ■承認者コード_9
-            ApprovalAuthority_9,                                                // ■承認権限区分_9
-            ApprovalDate_9,                                                     // ■承認日付_9
-            ApprovalOrder_9,                                                    // ■承認順番_9
-            ApprovalName_10,                                                    // 承認者１０承認
-            ApprovalCode_10,                                                    // ■承認者コード_10
-            ApprovalAuthority_10,                                               // ■承認権限区分_10
-            ApprovalDate_10,                                                    // ■承認日付_10
-            ApprovalOrder_10,                                                   // ■承認順番_10
-        }
+            OtherAdjustments,                                                   // 送料
+            DifferentAmount,                                                    // 差分
 
-        /// <summary>
-        /// 取得するデータ項目
-        /// </summary>
-        private enum ClickGetData
-        {
-            OrderersDivision = 0,
-            OrderersCode,
-            TargetDate,
-            SeqNo,
-            DepositDate,
-            DepositAmountCash,
-            DepositAmountBill,
-            CorporateStatusName,
-            CorporateStatusPoint,
-            OrderersName1,
-            OrderersName2,
-            LineCount,
-            RequestNo,
-            OrderNo,
-            DepositAmount,
-            DiscountAmount,
-            CnstrPrice,
-            Fees,
-            OtherAdjustments,
-            CarryAmount,
-            ApprovalPersonCode,
-            ApprovalDate,
-            ApprovalEndFlg,
-            PersonName,
-            DepartmentCode,
-            BillCreationDate,
-            BillPrice,
-            TaxPrice,
-            ConstructionCode,
-            ConstructionPersonCode,
-            ConstrSubPersonCode,
-            ConstructionInstructor,
-            DetailNo,
-            DetailString,
-            ApprovalPersonName1,
-            ApprovalPerson1,
-            ApprovalAuthority1,
-            ApprovalDate1,
-            ApprovalPersonName2,
-            ApprovalPerson2,
-            ApprovalAuthority2,
-            ApprovalDate2,
-            ApprovalPersonName3,
-            ApprovalPerson3,
-            ApprovalAuthority3,
-            ApprovalDate3,
-            ApprovalPersonName4,
-            ApprovalPerson4,
-            ApprovalAuthority4,
-            ApprovalDate4,
-            ApprovalPersonName5,
-            ApprovalPerson5,
-            ApprovalAuthority5,
-            ApprovalDate5,
-            ApprovalPersonName6,
-            ApprovalPerson6,
-            ApprovalAuthority6,
-            ApprovalDate6,
-            ApprovalPersonName7,
-            ApprovalPerson7,
-            ApprovalAuthority7,
-            ApprovalDate7,
-            ApprovalPersonName8,
-            ApprovalPerson8,
-            ApprovalAuthority8,
-            ApprovalDate8,
-            ApprovalPersonName9,
-            ApprovalPerson9,
-            ApprovalAuthority9,
-            ApprovalDate9,
-            ApprovalPersonName10,
-            ApprovalPerson10,
-            ApprovalAuthority10,
-            ApprovalDate10
+            ConfirmationPersonCode,                                             // ■担当者コード
+            ConfirmationDate,                                                   // ■担当者確認日
+            ConfirmationEndFlg,                                                 // ■担当者確認フラグ
+            NoteDD,                                                             // 備考（入金明細）
+            EntryDate,                                                          // ■登録日
+            
+            // 担当者情報
+            ConstructionPersonCode,                                             // ■工事担当者
+            ConstrSubPersonCode,                                                // ■工事副担当
+            ConstructionInstructor,                                             // ■指導員
+            PersonName,                                                         // 担当者名
+            DepartmentCode,                                                     // ■部署コード
         }
+        #endregion
 
         private const long amount_max = 9999999999;             // 金額最大
         private const long amount_min = -9999999999;            // 金額最小
@@ -234,19 +147,6 @@
 
         #region クラス定義
 
-        #region 承認情報クラス定義
-        /// <summary>
-        /// 承認情報
-        /// </summary>
-        private class ApproveData
-        {
-            public int Key { get; set; }
-            public string Value { get; set; }
-            public int Order { get; set; }
-            public int ApprovalAuthority { get; set; }
-        }
-        #endregion
-
         #region 請求先キークラス定義
         /// <summary>
         /// 請求先キー
@@ -278,7 +178,9 @@
                     }
                 }
             }
+            public int KB;
             public int No;
+            public int RequestMonth;
             public int OrderersDivision;
             public int OrderersCode;
             public string OrderersName;
@@ -300,9 +202,9 @@
             {
                 return Deposits.Find(d => d.SeqNo == seqNo);
             }
-            public DepositDetail FindDepositDetailByLineCount(int lineCount)
+            public DepositDetail FindDepositDetailByRequestNo(int RequestNo)
             {
-                return DepositDetails.Find(dd => dd.LineCount == lineCount);
+                return DepositDetails.Find(dd => dd.RequestNo == RequestNo);
             }
             public int GetNextSeqNo()
             {
@@ -310,12 +212,6 @@
                     return 1;
                 return Deposits.Max(d => d.SeqNo) + 1;
             }
-            public int GetNextLineCount()
-            {
-                if (DepositDetails.Count == 0)
-                    return 1;
-                return DepositDetails.Max(dd => dd.LineCount) + 1;
-            }
             public bool HasApprovedByStaff
             {
                 get {
@@ -324,24 +220,6 @@
                     return DepositDetails.Any(dd => dd.IsApprovedByStaff);
                 }
             }
-            public bool HasApprovedByApprover
-            {
-                get
-                {
-                    if (DepositDetails.Count == 0)
-                        return false;
-                    return DepositDetails.Any(dd => dd.IsApprovedByApprover);
-                }
-            }
-            public bool HasApprovedByLastApprover
-            {
-                get
-                {
-                    if (DepositDetails.Count == 0)
-                        return false;
-                    return DepositDetails.Any(dd => dd.IsApprovedByLastApprover);
-                }
-            }
         }
         #endregion
 
@@ -358,6 +236,7 @@
             public string DepositDate;
             public long? DepositAmountCash;
             public long? DepositAmountBill;
+            public string Note;
             public bool CanRemove
             {
                 get
@@ -382,12 +261,10 @@
             public bool Editted = false;
             public bool Deleted = false;
             public bool Visible;
-            public int SeqNo;
-            public int LineCount;
             public int RequestNo;
             public int OrderNo;
             public string ConstructionName;
-            public string ConstructionNameRow;
+            //public string ConstructionNameRow;
             //public string PaymentSchedule;
             public string BillCreationDate;
             public long BillPrice;
@@ -397,62 +274,28 @@
             public long CnstrPrice;
             public long Fees;
             public long OtherAdjustments;
-            public long CarryAmount;
-            public string ApprovalPersonName;
-            public int ApprovalPersonCode;
-            public string ApprovalDate;
-            public int ApprovalEndFlg;
+            public long DifferenceAmount;
+            public string ConfirmationPersonName;
+            public int ConfirmationPersonCode;
+            public string ConfirmationDate;
+            public int ConfirmationEndFlg;
+            public string Note;
+            public string EntryDate;
             public int DepartmentCode;
             public int ConstructionCode;
             public int ConstructionPersonCode;
             public int ConstrSubPersonCode;
             public int ConstructionInstructor;
-            public ApprovalStatus Status = ApprovalStatus.None;
             public bool UpperApprovalInUser = false;
-            public List<DepositApproval> DepositApprovals = new List<DepositApproval>();
             public bool IsApprovedByStaff
             {
-                get { return !string.IsNullOrEmpty(ApprovalDate); }
+                get { return !string.IsNullOrEmpty(ConfirmationDate); }
             }
-            public bool IsApprovedByApprover
-            {
-                get
-                {
-                    if (DepositApprovals.Count == 0)
-                        return false;
-                    return DepositApprovals.First().ApprovalDate != "";
-                }
-            }
-            public bool IsApprovedByLastApprover
-            {
-                get
-                {
-                    if (DepositApprovals.Count == 0)
-                        return false;
-                    return DepositApprovals.Last().ApprovalDate != "";
-                }
-            }
         }
         #endregion
 
-        #region 入金確認承認情報クラス定義
-        /// <summary>
-        /// 入金確認承認情報
-        /// </summary>
-        private class DepositApproval
-        {
-            public bool Added = false;
-            public bool Editted = false;
-            public int ApprovalNo;
-            public int ApprovalPerson;
-            public string ApprovalPersonName;
-            public int ApprovalAuthority;
-            public string ApprovalDate;
-        }
         #endregion
 
-        #endregion
-
         #region 変数
         /// <summary>
         /// 入金請求先情報リスト
@@ -515,19 +358,19 @@
         private void FrmSelectPayment_Load(object sender, EventArgs e)
         {
             // 対象月コンボBOX設定
-            IODepositData IoDd = new IODepositData();
+            IORequestHead IoDd = new IORequestHead();
 
             try
             {
                 string now = DateTime.Now.ToString("yyyy/MM");
-                List<DepositData> lstDd = new List<DepositData>();
+                List<RequestHead> lstDd = new List<RequestHead>();
                 List<string> lstDate = new List<string>();
 
-                IoDd.SelectAction(" group by TargetDate order by TargetDate desc", ref lstDd);
+                IoDd.SelectAction(" group by RequestMonth order by RequestMonth desc", ref lstDd);
 
-                foreach (DepositData DdInfo in lstDd)
+                foreach (RequestHead DdInfo in lstDd)
                 {
-                    lstDate.Add(DdInfo.TargetDate.Insert(4, "/"));
+                    lstDate.Add(DdInfo.RequestMonth.ToString().Insert(4, "/"));
                 }
                 if (lstDate.IndexOf(now) < 0)
                 {
@@ -563,153 +406,6 @@
         }
         #endregion
 
-        #region 発注者追加ボタン押下時のイベント
-        /// <summary>
-        /// 発注者追加ボタン押下時のイベント
-        /// </summary>
-        /// <param name="sender"></param>
-        /// <param name="e"></param>
-        private void btnAddCmp_Click(object sender, EventArgs e)
-        {
-            try
-            {
-                ResetTargetDate();
-                var f = new FrmSelectRequest(FrmSelectRequest.OpenMode.AddCmp);
-                f.FormClosed += new FormClosedEventHandler(NotifyAddCmp_FormClosed);
-                f.ShowDialog(this);
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-        }
-        #endregion
-
-        #region 発注者削除ボタン押下時のイベント
-        /// <summary>
-        /// 発注者削除ボタン押下時のイベント
-        /// </summary>
-        /// <param name="sender"></param>
-        /// <param name="e"></param>
-        private void btnDelCmp_Click(object sender, EventArgs e)
-        {
-            try
-            {
-                ResetTargetDate();
-                if (dgvMaster.RowCount <= 0)
-                    return;
-                var depositOrderer = FindDepositOrderer(dgvMaster.CurrentCell.RowIndex);
-                if (depositOrderer.DepositDetails.Count > 0)
-                {
-                    MessageBox.Show("すでに現場が登録されているため、削除できません。", "削除エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                    return;
-                }
-
-                if (MessageBox.Show("発注者を削除します。", "削除確認", MessageBoxButtons.YesNo, MessageBoxIcon.Question) == DialogResult.No)
-                {
-                    return;
-                }
-
-                // 保存前のものは削除する
-                if (depositOrderer.Added)
-                    depositOrderers.Remove(depositOrderer);
-                // 保存済みのものは削除フラグを付与
-                else
-                    depositOrderer.Deleted = true;
-                RemoveDepositOrdererRows(depositOrderer);
-                isDirty = true;
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-        }
-        #endregion
-
-        #region 現場追加ボタン押下時のイベント
-        /// <summary>
-        /// 現場追加ボタン押下時のイベント
-        /// </summary>
-        /// <param name="sender"></param>
-        /// <param name="e"></param>
-        private void btnAddFld_Click(object sender, EventArgs e)
-        {
-            try
-            {
-                ResetTargetDate();
-                if (dgvMaster.RowCount <= 0)
-                    return;
-                // 現場が不明の場合のみ追加可能
-                //if (!IsUnknownRow(dgvMaster.CurrentCell.RowIndex))
-                //{
-                //    MessageBox.Show("不明以外の行が選択されています。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                //    return;
-                //}
-                var depositOrderer = FindDepositOrderer(dgvMaster.CurrentCell.RowIndex);
-                var f = new FrmSelectRegField();
-                f.m_OrderersDivision = depositOrderer.OrderersDivision;
-                f.m_OrderersCode = depositOrderer.OrderersCode;
-                //foreach (var depositDetail in depositOrderer.VisibleDepositDetails)
-                foreach (var depositDetail in depositOrderer.DepositDetails)
-                {
-                    f.m_lstMyField.Add(new FrmSelectRegField.MyFieldData()
-                    {
-                        OrderersDivision = depositOrderer.OrderersDivision,
-                        OrderersCode = depositOrderer.OrderersCode,
-                        RequestNo = depositDetail.RequestNo,
-                        OrderNo = depositDetail.OrderNo,
-                        ConstructionName = depositDetail.ConstructionName,
-                        ConstructionName_Raw = depositDetail.ConstructionNameRow,
-                        BillCreationDate = depositDetail.BillCreationDate,
-                        BillPrice = depositDetail.BillPrice,
-                        TaxPrice = depositDetail.TaxPrice,
-                        DepositAmount = depositDetail.DepositAmount,
-                        PersonCode = depositDetail.ApprovalPersonCode,
-                        DeleteFlg = false,
-                        ReadOnly = depositDetail.IsApprovedByStaff,
-                        DepartmentCode = depositDetail.DepartmentCode,
-                        SubPersonCode = depositDetail.ConstrSubPersonCode,
-                        InstructorPersonCode = depositDetail.ConstructionInstructor,
-                    });
-                }
-                // 不明行を渡す必要がある
-                var unknownIndex = DetectUnknownIndex(dgvMaster.CurrentCell.RowIndex);
-                if (unknownIndex > -1)
-                {
-                    var unknownCell = dgvMaster.Rows[unknownIndex].Cells;
-                    f.m_lstMyField.Add(new FrmSelectRegField.MyFieldData()
-                    {
-                        OrderersDivision = depositOrderer.OrderersDivision,
-                        OrderersCode = depositOrderer.OrderersCode,
-                        ConstructionName = CommonMotions.cnvString(unknownCell[(int)DispColumn.ConstructionName].Value),
-                        ConstructionName_Raw = CommonMotions.cnvString(unknownCell[(int)DispColumn.ConstructionName_Raw].Value),
-                        DepositAmount = CommonMotions.cnvLong(unknownCell[(int)DispColumn.DepositAmount].Value),
-                        ReadOnly = true,
-                    });
-                }
-                else
-                {
-                    f.m_lstMyField.Add(new FrmSelectRegField.MyFieldData()
-                    {
-                        OrderersDivision = depositOrderer.OrderersDivision,
-                        OrderersCode = depositOrderer.OrderersCode,
-                        ConstructionName = "",
-                        ConstructionName_Raw = "",
-                        DepositAmount = 0,
-                        ReadOnly = true,
-                    });
-                }
-
-                f.FormClosed += new FormClosedEventHandler(NotifyAddFld_FormClosed);
-                f.ShowDialog(this);
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-        }
-        #endregion
-
         #region 表示ボタン押下時のイベント
         /// <summary>
         /// 表示ボタン押下時のイベント
